#include "stdafx.h"
#include "QGraphicsText.h"


extern "C" __declspec(dllexport) int Render( const LOGFONT& logfont, Gdiplus::GraphicsPath& path, LPCTSTR str, Gdiplus::PointF pntOrigin, bool bFlipY )
{
	QGraphicsText gt;
	gt.SetFont( logfont, bFlipY );
	return gt.GetGraphicsText( path, str, pntOrigin );
}

extern "C" __declspec(dllexport) HANDLE New( void )
{
	return new QGraphicsText();
}

extern "C" __declspec(dllexport) bool SetFont( HANDLE ctx, const LOGFONT& logfont, bool bFlipY )
{
	if ( ctx ) {
		((QGraphicsText*)ctx)->SetFont( logfont, bFlipY );
		return true;
	}
	return false;
}

extern "C" __declspec(dllexport) int GetGraphicsText( HANDLE ctx, Gdiplus::GraphicsPath& path, LPCTSTR str, Gdiplus::PointF pntOrigin )
{
	if ( ctx ) {
		return ((QGraphicsText*)ctx)->GetGraphicsText( path, str, pntOrigin );
	}
	return -1;
}

extern "C" __declspec(dllexport) void Delete( HANDLE ctx )
{
	if ( ctx ) delete (QGraphicsText*)ctx;
}
